Bug 1676697 - Improved GRUB menu
Summary: Improved GRUB menu
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Javier Martinez Canillas
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-12 21:41 UTC by Ben Cotton
Modified: 2019-09-09 18:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-09 18:35:53 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2019-02-12 21:41:32 UTC
This is a tracking bug for Change: Improved GRUB menu
For more details, see: https://fedoraproject.org/wiki/Changes/ImprovedGrubMenu

Improve the GRUB menu by only having the default boot option for each installed operating system in the main menu, and the other options into a sub-menu. This would better organize the boot options and lead to an easier and seamless boot experience.

Comment 1 Ben Cotton 2019-02-19 20:30:19 UTC
According to the Fedora 30 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to MODIFIED. If you know your change will not be ready for Fedora 30, you can set the version to rawhide and notify bcotton@fedoraproject.org. For more information about this milestone, see the Changes Policy[2].

[1] https://fedoraproject.org/wiki/Releases/30/Schedule
[2] https://fedoraproject.org/wiki/Changes/Policy#Change_Checkpoint:_Completion_deadline

Comment 2 Javier Martinez Canillas 2019-02-20 15:01:11 UTC
This change won't be ready for Fedora 30, setting the version to Rawhide.

Comment 3 Ben Cotton 2019-08-13 16:57:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2019-08-13 19:34:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Ben Cotton 2019-08-14 17:56:06 UTC
We have reached the 'Code Complete (testable)' milestone in the Fedora 31 release cycle. If your Change is in a testable state, please set the status to MODIFIED. If this Change will not be ready for Fedora 31, please set the version to rawhide.

The 100% code complete deadline is Tue 2019-08-27.

Comment 6 Ben Cotton 2019-08-27 17:17:51 UTC
We have reached the '100% Code Complete' milestone in the Fedora 31 release cycle. If your Change is complete, please set the status to ON_QA. The Beta Freeze is underway. If you need a freeze exception, see https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process

If this Change will not be ready for Fedora 31, please set the version to rawhide.

Comment 7 Ben Cotton 2019-09-09 18:35:53 UTC
Change canceled by FESCo and can be resubmitted when ready https://meetbot.fedoraproject.org/fedora-meeting-1/2019-09-09/fesco.2019-09-09-15.00.log.html#l-94


Note You need to log in before you can comment on or make changes to this bug.